Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.assembler
[Java] Interface AssemblerSourceSet

    org.gradle.api.Buildable
      org.gradle.language.base.LanguageSourceSet
          org.gradle.language.assembler.AssemblerSourceSet
              org.gradle.api.Named

All Superinterfaces:
  Buildable, LanguageSourceSet, Named

    @Incubating
    public interface AssemblerSourceSet
    extends LanguageSourceSet

A set of assembly language sources.

     apply plugin: "assembler"

     sources {
         main {
             // Configure an existing AssemblerSourceSet
             asm {
                 source {
                     srcDirs "src/main/i386", "src/shared/asm"
                     include "**{literal:/}*.s"
                 }
             }
         }
     }

Method Summary

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Gradle API 1.10